import { world, EquipmentSlot } from "@minecraft/server";

world.afterEvents.itemUse.subscribe(({ source }) => {
    const equippable = source.getComponent("equippable");
    const item = equippable.getEquipment(EquipmentSlot.Mainhand);
    if (!item) return;
    switch (item.typeId) {
        case "minigames:spr_int":
            if (item.typeId === "minigames:spr_int" && !source.hasTag('cooldown_basicsprint')) {
                source.runCommandAsync('function sprint');
                source.addTag('cooldown_basicsprint');
                break;
            }

    }
});